{% extends 'reports/base.html' %}
{% load crm_utils %}

{% load static %}
{% block content %}


    <div class="container-fluid">
    <div class="card shadow mb-4">
    <div class="card-header py-3">
        <h6 class="m-0 font-weight-bold text-primary"></h6>
    </div>
    <div class="card-body accordeonData">
    <div class="accordion" id="accordionExample">

        <!-- ONE ACCORDEON ITEM BEGIN -->
        {% for promo_data in report_data %}
            <div class="card">
            <div class="card-header" id="headingOne">
                <h2 class="mb-0">
                    <button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapse-{{ promo_data.id }}"
                            aria-expanded="true" aria-controls="collapseOne">
                        {{ promo_data.promo_discount_name }}
                    </button>
                </h2>
            </div>
            <div id="collapse-{{ promo_data.id }}" class="collapse" aria-labelledby="headingOne" data-parent="#accordionExample">
                <div class="card-body">
                    <!-- Продажи -->
                    
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                          <thead>
                            <tr>
                              <th>Дата продажи</th>
                              <th>Группы</th>
                              <th>ФИО</th>
                              <th>Стоимость без скидки</th>
                              <th>Стоимость со скидкой</th>
                              <th>Размер скидки</th>
                            </tr>
                          </thead>
                          <tbody>
                              {% for sale in promo_data.promodiscountreportdatasale_set.all %}
                                  <tr>
                                      <td>{{ sale.date_of_sale }}</td>
                                      <td>
                                          {% for group in sale.groups.all %}
                                              <p>{{ group }},</p>
                                          {% endfor %}
                                      </td>
                                      <td>
                                          <a href="{{ sale.client_profile_url }}">
                                              {{ sale.client_fullname }}
                                          </a>
                                      </td>
                                      <td>{{ sale.price_without_discount }}</td>
                                      <td>{{ sale.price_with_discount }}</td>
                                      <td>
                                          {% if sale.type_of_discount == "PROCENT" %}
                                            {{ sale.discount }} %
                                          {% else %}
                                            {{ sale.discount }} ГРН
                                          {% endif %}
                                      </td>
                                  </tr>
                                  {% empty %}
                                {% include 'no_data.html' %}
                              {% endfor %}
                          </tbody>
                        </table>
                    </div>
                    <!-- Продажи -->
                </div>
            </div>
        </div>
    {% endfor %}
    <!-- ONE ACCORDEON ITEM END -->
    </div>
    <style>
        .page-actions {
            display: flex;
            justify-content: flex-end;
        }
    </style>


{% endblock %}

{% block custom_includes %}
    {{ block.super }}
{% endblock %}